// JavaScript Document

function deshabilitaForm(idForm){
	//console.log(idForm);
	$("#"+ idForm +" :input").prop("disabled", true);
	$("#"+ idForm).find('label').css("cursor", 'auto');

}

function fixNoClick(){
		$(function () {
			  var left = $("#fix").css("left");
			  left = parseInt(left,10) + 135;  // Ancho del boton a descubrir
			   if ( left <= 540 )  // Evita mover ma mascar de click de forma innecesaria luego de descubrir el ultimo boton
  			    $("#fix").css("left", left + 'px');  // Descubre un segmento equivalente a un boton
			});
		}


    var radios = document.getElementsByName("page2");    
	
	function init(){
		for(i=1;i<=3;i++){    //Deshabilita los tab aplicando un estilo alternativo
		radios[i].disabled = true;
		document.getElementById('tab' + i).style.opacity = "0.3";
		document.getElementById('tab' + i).className = "tab_d";  // Aplica un estilo de Tab alternativo des-habilitado
		}
	}	
		
   	
	function verificaPregunta(nameRadioGroup, idLabel, idNextTab, idNextInput, idBoton) {
		
	  var thisTab =  document.getElementsByName(nameRadioGroup);   // Obtiene los radios de la pregunta
      var resultado = false;
	   	 				
	   var radiosPregunta = document.getElementsByName(nameRadioGroup);  // Obtiene los radios del grupo de las preguntas
	   
        for(var k=0;k<radiosPregunta.length;k++)  // itera por todas las preguntas del grupo
          if(radiosPregunta[k].checked && radiosPregunta[k].value == "bien" ){
			   
			    deshabilitaForm(idLabel); // deshabilita las opciones del formulario si es correcto
				$("#"+idBoton).fadeOut("slow");
  			    resultado = true;  // se encontro una respuesta se deben reproducir audios de formas acordes 
				
				$("#"+radiosPregunta[k].id)
				.closest("tr")
				.addClass("bien1");
				
				$(radiosPregunta[k].id).addClass("bien");
		        if ( idNextInput != null && idNextTab != null ){ // hay una pregunta siguiente se habilitan los controles visuales
				       fixNoClick();   // Fix para evitar click en los tabs 
					   document.getElementById(idNextTab).style.opacity = "1";  // Aplica estilo normal de vuelta al label 
 			           document.getElementById(idNextTab).className = "tab";   // Aplica estilo normal de vuelta
					   document.getElementById(idNextInput).disabled = false;  // Se activa nuevamente el proximo input (tab)

				 }
			 }
		 else {
			   radiosPregunta[k].checked = false; // Resetea los valores a su estado anterior 	       
		 }
		 
		 //  Luego de iterar se 
	    if(resultado == false ){
   		     
   		 	   sg.sound('error');
			  }
			  else{
 					sg.sound('success-low');
			  }
  	 }
	